- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: de2eaa28-ec08-4955-ad31-95eecc01f298
    creation_time: 2023-02-17T12:13:03.641317Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/hard-ll.c
      input_file_hashes:
        c/nla-digbench/hard-ll.c: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/hard-ll.c
    file_hash: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
    line: 34
    column: 0
    function: main
  loop_invariant:
    string: q == 0 && r == A && d == B*p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 3b69f9c6-79d2-4d84-961a-f3cb854b8bdf
    creation_time: 2023-02-17T12:13:03.641600Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/hard-ll.c
      input_file_hashes:
        c/nla-digbench/hard-ll.c: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/hard-ll.c
    file_hash: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
    line: 35
    column: 0
    function: main
  location_invariant:
    string: q == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 174a7a46-aaac-4557-b36f-d06c744b2343
    creation_time: 2023-02-17T12:13:03.641690Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/hard-ll.c
      input_file_hashes:
        c/nla-digbench/hard-ll.c: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/hard-ll.c
    file_hash: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
    line: 36
    column: 0
    function: main
  location_invariant:
    string: r == A
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 32a771fc-cd8a-45c3-b858-fb0ec939172b
    creation_time: 2023-02-17T12:13:03.641774Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/hard-ll.c
      input_file_hashes:
        c/nla-digbench/hard-ll.c: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/hard-ll.c
    file_hash: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
    line: 37
    column: 0
    function: main
  location_invariant:
    string: d == B*p
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 3c4fb6aa-694d-47be-a4ca-d81bc0dd18fc
    creation_time: 2023-02-17T12:13:03.641865Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/hard-ll.c
      input_file_hashes:
        c/nla-digbench/hard-ll.c: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/hard-ll.c
    file_hash: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
    line: 44
    column: 0
    function: main
  loop_invariant:
    string: A == q*B+r && d == B*p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 41e368f1-c468-4a5c-9f56-5250d4e45f46
    creation_time: 2023-02-17T12:13:03.641954Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/hard-ll.c
      input_file_hashes:
        c/nla-digbench/hard-ll.c: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/hard-ll.c
    file_hash: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
    line: 45
    column: 0
    function: main
  location_invariant:
    string: A == q*B+r
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: a989efa3-6c21-4920-8170-2ddc185cd35b
    creation_time: 2023-02-17T12:13:03.642038Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/hard-ll.c
      input_file_hashes:
        c/nla-digbench/hard-ll.c: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/hard-ll.c
    file_hash: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
    line: 46
    column: 0
    function: main
  location_invariant:
    string: d == B*p
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: f681c9de-2529-43d8-b427-bbb433b53b39
    creation_time: 2023-02-17T12:13:03.642124Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/hard-ll.c
      input_file_hashes:
        c/nla-digbench/hard-ll.c: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/hard-ll.c
    file_hash: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
    line: 58
    column: 0
    function: main
  location_invariant:
    string: A == d*q+r
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 4dc6295f-0ee5-4fec-9d65-3fdc0e766e2f
    creation_time: 2023-02-17T12:13:03.642227Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/hard-ll.c
      input_file_hashes:
        c/nla-digbench/hard-ll.c: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/hard-ll.c
    file_hash: 8c31bebbbf1ab8c6e57b91fec88eba145fb9c1b52fce25f48cae26620a3d8ba6
    line: 59
    column: 0
    function: main
  location_invariant:
    string: B == d
    type: assertion
    format: C

